<body (window:resize)="onResize($event)" aria-disabled="!showsniper">
  <div style="position: absolute;
              width: 100vw;
              height: 100vh;
              left: 3%;
              z-index: 50;
              pointer-events:unset;
              background-color: rgb(250, 250, 250);
              opacity: 0.1;" *ngIf="blockcontrole">
  </div>
  <div id="mapcontainer">
    <agm-map (mapReady)="onMap($event)" (mapRightClick)='RightClickChange($event)' id="map">
      <agm-marker-cluster imageSizes="25">
      </agm-marker-cluster>

      <div *ngIf="PolyObj!=null">
        <agm-marker [latitude]="PolyObj.start.lat" [longitude]="PolyObj.start.lng" [iconUrl]="startIcon"
          [agmFitBounds]="false" [radius]="1000"></agm-marker>
        <agm-marker [latitude]="PolyObj.end.lat" [longitude]="PolyObj.end.lng" [iconUrl]="endIcon" [agmFitBounds]="true"
          [radius]="1000"></agm-marker>
        <agm-direction [origin]="PolyObj.start" [destination]="PolyObj.end" [renderOptions]="PolyObj.polyop"
          [markerOptions]="PolyObj.Polymarker">
        </agm-direction>
      </div>
    </agm-map>
    <div class="detail-vehicule-container p-2 p-sm-3" id="Mdetail">
      <app-recherche-input [show]="RechSHOW" [HideRechercheList]="RechSHOW2" (filtreactivite)="filtreactivite($event)"
        [listRech]="recherchlist" (Close)="closePop()" (RValue)="NewRechercheSelectedVehicule($event)">
      </app-recherche-input>
      <app-detail-vehicule [Vehicule]="inputdd" [VehiculesAproxlist]="aprox" [Cumule]="JsonCulumeActiviteInput"
        [isSPI]="isSPI" [show]="RechSHOW" [HideRechercheList]="RechSHOW2" [listRech]="recherchlist"
        (RValue)="NewRechercheSelectedVehicule($event)" (Close)="closePop()" (tours)="ShowTournees($event)"
        (GetSelectedVehciuleVRN)="GetVrnFromPlusInfoComponent($event)"></app-detail-vehicule>
    </div>
    <div class="container-fluid under-search-buttons d-sm-none justify-content-between">
      <div class="row">
        <div class="col-12 overflow-auto d-flex">
          <button class="btn d-flex align-items-center justify-content-center">
            <img class="px-2" src="../../assets/img/cr.png">
            Travail
          </button>
          <button class="btn d-flex align-items-center justify-content-center">
            <img class="px-2" src="../../assets/img/lit.png">
            Repos
          </button>
          <button class="btn d-flex align-items-center justify-content-center">
            <img class="px-2" src="../../assets/img/volant-noir.png">
            Conduite
          </button>
          <button class="btn d-flex align-items-center justify-content-center">
            <img class="px-2" src="../../assets/img/volant-noir.png">
            Conduite
          </button>
        </div>

        <div class="col-12 d-flex justify-content-end">
          <button class="btn calendar-view-buttons">
            <img class="px-2" src="../../assets/img/cal.png">
          </button>
          <button class="btn calendar-view-buttons">
            <img class="px-2" src="../../assets/img/lit.png">
          </button>
        </div>
      </div>
    </div>
    <div class="historique-Gbtn-map  d-sm-flex full-screen-buttons">
      <div class="d-sm-block">
        <div class="d-sm-flex" style="margin-right: 10px;">
          <label class="mr-1"><strong>Live</strong></label>
          <div class="custom-control custom-switch" style="color: #354360;">

            <input type="checkbox" class="custom-control-input" id="customSwitches" (change)="changemode($event)"
              style="color: #354360;">
            <label class="custom-control-label" for="customSwitches"><strong>Historique</strong></label>
          </div>
        </div>
      </div>

      <app-switshdate (changeView)="getValueFromcalender($event)" *ngIf="liveMode">

      </app-switshdate>

    </div>

    <div class="tracking-localize-button full-screen-buttons">
      <button mat-icon-button (click)="zoomcenter()">
        <mat-icon color="#0F244E">adjust</mat-icon>
      </button>
    </div>
    <div class="d-sm-block full-screen-buttons"
      style="position:fixed;left: 10px;bottom: 205px; width: auto; height: 50px;" (mouseover)="filtreButtonHover(1)"
      (mouseleave)="filtreButtonHover(2)" #menufiltre>
      <button mat-icon-button
        style="background-color: rgb(255, 255, 255);z-index: 5;border:0px solid rgb(158, 158, 158); border-radius: 2px;margin-right: 5px;">
        <mat-icon color="#0F244E">layers</mat-icon>
      </button>
      <button mat-icon-button (click)="TrafficController(false,2)" id="b2" class="mr-1"
        style="background-color:#ffffff;border-radius: 5px;display: none;">
        <mat-icon class="white-icon" id="Icontraffic">traffic</mat-icon>
      </button>
      <button mat-icon-button (click)="TrafficController(false,3)" id="b3" class="mr-1"
        style="background-color: #ffffff;border-radius: 5px;display: none;">
        <!--  <mat-icon svgIcon="unicorn"></mat-icon>-->
        <img src="{{iconTemp}}" style="height: 25px;">
      </button>
    </div>


    <div class="crop-free  d-sm-block full-screen-buttons">
      <button mat-icon-button (click)="fullscreen()">
        <mat-icon color="#0F244E">crop_free</mat-icon>
      </button>
    </div>
    <div class="zoom-in-map d-sm-block full-screen-buttons">
      <button mat-icon-button (click)="zoomin()">
        <mat-icon color="#0F244E">add</mat-icon>
      </button>
    </div>
    <div class="zoom-out-map d-sm-block full-screen-buttons">
      <button mat-icon-button (click)="zoomout()">
        <mat-icon color="#0F244E">remove</mat-icon>
      </button>
    </div>
    <div class="map-satellite d-sm-block full-screen-buttons">
      <button mat-icon-button (click)='openMapsViewList()' style="width: 100%;height: 100%;">

        <img src="{{arrow}}" alt="" width="80px" height="70px"
          style="border-radius:15px ; border: 3px solid whitesmoke;">
        <small
          style="color: #FFFFFF; position: absolute; top: 35px; left: 5px; font-size: 16px; text-shadow: 2px 2px 2px black;">
          {{arrow == "../../assets/img/view2.png" ? "Map" : "Satellite"}}
        </small>

      </button>
    </div>
    <div id='menuC' hidden class="menuCClass" class="menuCClass card-body card-bodybeta">
      <app-menu-context [positionX]="RightClickLat" [positionY]="RightClickLng" (RValue)="setcoord($event)"
        (RValue2)="setcoord2($event)" (RValueAddPOI)="openModal($event)" (RValuePlusInfo)="infocoords($event)">
      </app-menu-context>

    </div>
    <div #pop class="alert alert-warning alert-dismissible fade"
      style="z-index: 5;position:fixed;right:-0.5%;width: 450px;;top:12%;background-color: #fdfdfd00;color: whitesmoke;border: none;z-index: -1; max-height: 720px;"
      role="alert">
      <app-plus-info [infoendroit]="infoendroit" [aproxinfo]="aproxinfo"
        (GetSelectedVehciuleVRN)="GetVrnFromPlusInfoComponent($event)"></app-plus-info>

    </div>
    <div id="sniper"
      style="z-index: 5;position:fixed;left: 45%;top:500px;width: 6rem; height: 6rem;align-items: center;"
      *ngIf="showsniper">
      <img width="150px" height="120px" class="shadow-lg " style="border-radius: 50%;"
        src="../../assets/img/logo.gif" />
    </div>
    <!--
     <app-info-bulle style="position :fixed;left: 50%;top:500px;z-index: 1000;width: 250px; height: 180px"></app-info-bulle>
    -->
    <div class="slidecontainer" style="z-index: 5;position:fixed;left: 17%;bottom: 16.5px;" id="sliderange" hidden>
      <div class="sliderbutton" (click)="playpause()">
        <mat-icon>{{pause ? 'play_arrow' : 'pause' }}</mat-icon>
      </div>

      <input type="range" min="0" max="{{countlistpointsHistorique}}" value="{{countlistpointsHistorique}}"
        class="slider" id="myRange" #range (change)="changelecteur($event)" (input)="changelecteur($event)">
      <div class="sliderP">
        <p><small>{{datehistorique}}&nbsp;&nbsp;&nbsp;{{timehistorique}}&nbsp;&nbsp;&nbsp;{{activitehistorique}}</small>
        </p>
      </div>



    </div>
    <div #alert class="alert alert-warning alert-dismissible fade"
      style="z-index: 5;position:fixed;left: 30%;top:10px;background-color: #354360;color: whitesmoke;" role="alert">
      <button type="button" class="close" aria-label="Close" (click)="closeAlert()">
        <span aria-hidden="true">&times;</span>
      </button>
      <strong style="color: whitesmoke;">Pas de traget pour ce vehicule pour le date debut :{{datacalendar}} , date fin
        : {{datecalendarend}}</strong>
    </div>


  </div>

</body>